
s = require 'fluid'

function love.load()
	wd, ht = 800, 600
	love.window.setMode( wd, ht, {} )
	gt = 0
	love.window.setCaption( 'Fluid' )
	screen = { ht, wd }
	--love.graphics.setBackgroundColor( 255, 255, 255 )
	end

function love.update( dt )
	gt = gt + dt
	s.effect:send( 'time', gt )
	s.effect:send( 'screen', screen )
	end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.setShader( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setShader()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
