local fluid={}
fluid.effect = love.graphics.newShader[[

extern number time;
extern vec2 screen;

#define N 4

vec4 effect( vec4 color, Image tex, vec2 tc, vec2 pc )
{
	vec2 v=(pc.xy-(screen*0.5))/min(screen.y,screen.x)*10.0;
	number t=time * 0.4,r=0.0;
	for (int i=0;i<N;i++){
		number d=(3.14159265 / number(N))*(number(i)*5.0);
		r+=length(vec2(v.x,v.y))+0.01;
		v = vec2(v.x+cos(v.y+cos(r)+d)+cos(t),v.y-sin(v.x+cos(r)+d)+sin(t));
	}
        r = (sin(r*0.1)*0.5)+0.5;
	r = pow(r, 128.0);
	return vec4(r,pow(max(r-0.75,0.0)*4.0,2.0),pow(max(r-0.875,0.0)*8.0,4.0), 1.0 );
}
]]
return fluid
